Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1877722 - Provide a flatpak for gnome-tweak
Summary: Provide a flatpak for gnome-tweak
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-tweaks
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 09:58 UTC by msandova
Modified: 2021-05-25 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:43:38 UTC
Type: Bug


Attachments (Terms of Use)

Description msandova 2020-09-10 09:58:49 UTC
Description of problem:

Currently Fedora Silverblue users have to layer gnome-tweaks or install it inside a toolbox container (having extra considerations, like installing gnome-themes-extra) just to switch to the Adwaita-dark theme.

Providing a flatpak build would solve this issue.

Comment 1 Federico Bruni 2021-03-09 15:09:00 UTC
There's any setting which can be manually configured to use Adwaita-dark?

I tried org.gnome.desktop.interface.gtk-theme in Dconf, but changing from Adwaita to Adwaita-dark does not have any effect.
NOTE: Adwaita-dark is installed on my Silverblue as flatpak only.

A flatpak manifest for gnome-nightly is available upstream (but it's not built in gnome-nightly repository):
https://gitlab.gnome.org/GNOME/gnome-tweaks/-/blob/master/org.gnome.Tweaks.json

I'll try building it locally.

Comment 2 Federico Bruni 2021-03-09 15:51:41 UTC
I've just built the flatpak (upstream file needs a little tweaking).
Changing the theme doesn't work.. then I found this discussion:
https://gitlab.gnome.org/GNOME/gnome-tweaks/-/issues/153

Comment 3 Fedora Program Management 2021-04-29 16:37:25 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-05-25 16:43:38 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.